def show_stdout(f: Frame):
    out = '\033\143'
    stride = 11
    dots = '.123456789#'
    for y in range(len(f.pixels) // stride):
        s = f.pixels[y * stride:(y + 1) * stride]
        if y & 1 != 0:
            s.reverse()
        d = [dots[x * len(dots) // (Frame.Max + 1)] for x in s]
        out += ''.join(d) + '\n'
    print(out + '\n')
